* {
    box-sizing: border-box;
    padding: 0%;
    margin: 0%;
    font-family: "open sans";
}

 :root {
    --gral: rgba(128, 128, 128, 0.163);
}

html {
    scroll-behavior: smooth;
    background-color: rgb(255, 255, 255);
    font-family: "Cairo", sans-serif;
}

body {
    overflow-x: hidden;
    list-style: none;
}


/* for any link */

a {
    text-decoration: none;
    color: #03A9F4;
}

a:visited {
    color: #03A9F4;
}


/* end of link */


/* for all imgs excepting landing one */

img:not(article img):not(header img) {
    width: 100%;
    object-fit: contain;
}

.container {
    width: 90%;
    display: flex;
    justify-content: center;
    margin-left: 10%;
}


/* starting of title for all sections  */

.square {
    transform: translatex(-50%);
    left: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    width: clamp(200px, 10vw, 1000px);
    height: 50px;
    border: solid 2px black;
    animation: none;
    transition: border 1s;
    margin-top: -30px;
    position: absolute;
    text-transform: capitalize;
    font-size: clamp(3px, 5vw, 26px);
    font-weight: bolder;
    margin: -90px 0%;
    padding: 30px;
    letter-spacing: -2.5px;
    white-space: nowrap;
}

.square::before,
.square::after {
    content: "";
    height: 10px;
    width: 10px;
    background-color: #2196F3;
    border-radius: 5px;
    transition-duration: 1.5s;
    position: absolute;
}

.square::after {
    right: -20px;
}

.square::before {
    left: -20px;
}

.square:hover::before {
    transform: translatex(5px);
    height: 50px;
    width: 50%;
    left: 0;
    border-radius: 0;
}

.square:hover::after {
    transform: translatex(-5px);
    height: 50px;
    width: 50%;
    right: 0;
    border-radius: 0;
}

.square:hover p {
    z-index: 1000;
    color: white;
}

.square:hover {
    border: white 2px solid;
}

.howitworks .square,
.teammembers .square,
.latestevents .square,
.pricingplans .square,
.stats .square {
    margin-top: 30px;
}

@media (max-width:990px) {
    .square {
        margin: -90px 0;
    }
}


/* ending of title for all sections  */


/* nav starting */

nav {
    width: 100%;
    height: 70px;
    font-size: larger;
    gap: 130px;
    text-transform: capitalize;
    padding-left: 100px;
    align-items: center;
    background-color: rgb(255, 255, 255);
    padding-top: 0px;
    z-index: -1;
    transition-duration: 1s;
}

nav .gridmain {
    display: grid;
    height: 100%;
    grid-template-columns: 41% 50%;
}

nav .gridmain .gridsec {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: space-around;
}

nav .gridmain .elzero p {
    color: #2196F3;
    font-weight: bolder;
}

nav .gridmain .elzero p:hover {
    cursor: pointer;
}

nav .gridmain .gridsec div:hover {
    cursor: pointer;
    background-color: rgba(128, 128, 128, 0.121);
    transition-duration: .31s;
}

nav .gridmain .gridsec div {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: medium;
    height: 100%;
}

nav .gridmain .elzero {
    display: flex;
    align-items: center;
    font-size: larger;
}

nav .gridmain .gridsec div::before {
    height: 4px;
    width: 0%;
    background-color: #2196F3;
    top: 0px;
    left: 0px;
    transition-duration: .1s;
    content: "";
    position: absolute;
}

nav .gridmain .gridsec div {
    position: relative;
    transition-property: all;
    transition: 1s;
}

nav .gridmain .gridsec div:hover::before {
    width: 100%;
}


/* nav extension for other links start */

.navextension .flex div img {
    width: 300px;
    transform: translateX(5%) translateY(20%);
}

.navextension .flex {
    display: grid;
    gap: 20px;
    width: 90%;
    position: absolute;
    background-color: white;
    height: 300px;
    margin-left: 5%;
    justify-content: space-around;
    grid-template-columns: 30% 25% 25%;
    z-index: 600;
    color: #2196F3;
    border-bottom: #2196F3 3px solid;
    font-weight: bold;
}

.navextension {
    display: none;
}

.navextension .flex div p {
    margin-top: 30px;
}

.navextension .flex div i {
    margin-right: 5px;
}

.navextension .flex div p {
    border-bottom: 1px solid #73706a23;
}


/* nav extension for other links end */


/* linking nav with the extension */

nav .gridmain .gridsec .link {
    transition-duration: .5s;
    color: #03A9F4;
}

nav:has(.gridmain .gridsec .link:hover)+.navextension {
    display: block;
}


/* nav section ending */


/*header starting */

header {
    background-color: var(--gral);
    height: 56vw;
}

header .container .gridheader {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

header .container .gridheader div img {
    width: clamp(50vw, 10vw, 80vw);
    animation-name: up-down;
    animation-duration: 4s;
    animation-iteration-count: infinite;
    position: absolute;
    margin-left: -7%;
    animation-direction: alternate;
    height: auto;
}

header .container .gridheader .txt {
    margin-top: 9vh;
    width: 80%;
}

header .container .gridheader .txt h2 {
    font-size: 40px;
}

header .container .gridheader .txt p {
    color: #73706A;
    font-size: 25px;
    margin-top: 3vh;
    line-height: 50px;
}

header::before {
    content: "";
    position: absolute;
    bottom: -58%;
    left: 0;
    width: 100%;
    height: 30%;
    background-color: rgb(255, 255, 255);
    transform: skewY(-3deg);
    transform-origin: top left;
}

header::after {
    content: "\103";
    color: #2196F3;
    position: absolute;
    animation: up-d alternate infinite .5s;
    position: absolute;
    bottom: 0;
    left: 50%;
    z-index: 5;
    font-family: "Font Awesome 6 Free";
    transform: translatex(-50%);
    font-weight: 800;
    display: inline-block;
}

@keyframes up-down {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(20px);
    }
}

@keyframes up-d {
    from {
        bottom: -260px;
    }
    to {
        bottom: -160px;
    }
}


/* header ending */


/* nav ,haeding(media )*/

@media ( max-width: 991px) {
    .gridheader {
        grid-template-columns: 90%;
    }
    header::after,
    header img {
        display: none;
    }
    header {
        height: 800px;
        position: relative;
    }
    .navextension img {
        transform: scale(.7);
        margin: 50px -10px;
    }
    header .container .gridheader .txt {
        margin: 40% 11%;
        width: 70vw;
        text-align: center;
    }
    header .container .gridheader .txt h2 {
        font-size: 4.6vh;
    }
    header .container .gridheader .txt p {
        font-size: 2.5vh;
        margin-top: 3vh;
        line-height: 4vh;
    }
}

@media (max-width: 490px) {
    header {
        height: 650px;
    }
    nav .gridmain {
        display: inline-block;
        margin-left: -40px;
        transform: scale(.8);
    }
    .gridsec p {
        margin: 15px
    }
    .gridsec {
        margin-left: -60px;
    }
    .elzero {
        margin-left: 100px
    }
    .navextension img {
        display: none;
    }
    .navextension .flex {
        height: 510px;
        align-items: start;
        justify-content: flex-start;
        gap: 4px;
        padding: 5px 30px;
        width: 100%;
        margin-left: -.4%;
        margin-top: 4px;
        grid-template-columns: 1fr;
    }
}

@media (min-width: 800px) and (max-width: 1000px) {
    header {
        height: 700px;
    }
    header .container .gridheader .txt h2 {
        font-size: 32px;
    }
    header .container .gridheader .txt p {
        font-size: 20px;
        line-height: 1.6;
    }
    header .container .gridheader .txt {
        width: 90%;
    }
    header .container .gridheader div img {
        width: 45vw;
    }
}


/* nav,header media ending */


/* arrow satrting */

@keyframes up {
    from {
        margin-top: -10px;
    }
    to {
        margin-top: 5px;
    }
}


/* arrow ending */


/* article starting */

article {
    min-height: 1000px;
    margin: 160px auto;
    position: relative;
    background-color: white;
    padding-top: 100px;
}

article img {
    height: clamp(200px, 10vw, 500px);
    width: 100%;
    border-radius: 10px 10px 0 0;
}

article {
    background-color: rgba(255, 255, 255, 0.34);
    margin-left: -60px;
}

article .cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 30px;
    position: absolute;
    width: 90%;
    justify-content: center;
    transform: translatex(-2%);
}

article .cards>div {
    border-radius: 10px;
    background: white;
    transition-duration: .4s;
    position: relative;
    box-shadow: 1px 0px 4px 1px rgba(29, 20, 2, 0.121);
}

article .cards>div:hover {
    box-shadow: 1px 0px 7px 2px rgba(29, 20, 2, 0.121);
    transform: translatey(-7px);
}

article .cards div .txt2 {
    padding: 5px 30px;
    transform: scale( .9);
}

article .cards div .txt2 h3 {
    margin-bottom: 10px;
}

article .cards div .txt2 :nth-child(2) {
    padding-bottom: 20px;
    border-bottom: #73706a7e 1px solid;
    color: #4b4944a0;
}

article .cards div .txt2 :nth-child(3) {
    padding-top: 10px;
    color: #2196F3;
}

article .cards>div::after {
    content: "\2192";
    right: 15px;
    position: absolute;
    bottom: 15px;
    color: #2196F3;
    animation: right-left .5s alternate infinite;
}

@keyframes right-left {
    from {
        transform: translatex(5px)
    }
    to {
        transform: translatex(-5px)
    }
}

@media (max-width:991px) {
    .pointer i {
        transform: scale(.9);
        margin: 300px 50%;
    }
    article {
        height: 1400px;
    }
}

@media (max-width:490px) {
    article {
        height: 2400px;
        padding: 0px 0 0 20px;
        transform: scale(.8);
        margin-top: -110px;
    }
}


/* ending of article  */

.zig-zag {
    background-color: #D8D8D4;
    --s: 30px;
    --a: 90deg;
    mask: repeating-conic-gradient(from calc(180deg - var(--a)/2) at 50% var(--s), #000 0 var(--a), #0000 0 180deg) 50% calc(-1 * var(--s)) / calc(2 * var(--s) * tan(var(--a)/2));
    height: 220px;
    width: 100%;
    margin-top: 30px!important;
    transform: translateY(120px);
}


/* starting of main with-----> gallery  */

main {
    background-color: #D8D8D4;
    min-height: 1700px;
    margin-top: 480px;
    padding: 20px 5%;
    z-index: 900;
    transform: translateY(-390px);
}

main .square {
    margin: -120px 0;
}

MAIN .gallerycards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 420px));
    column-gap: 30px;
    row-gap: 30px;
    padding: 0 auto;
    justify-content: center;
    transform: scale(.97);
}

.gallerycards div {
    border: 17px white solid;
    overflow: hidden;
    background-color: white;
}

.gallerycards div img {
    transition: 1s;
}

.gallerycards div img:hover {
    transform: rotate(3deg) scale(1.1);
}

@media (max-width:991px) {
    main .gallerycards div {
        width: 100%;
    }
    .zig-zag {
        margin-top: -200px;
    }
    main .gallerycards img {
        transform: scale(2.5);
    }
    main .gallerycards div img:hover {
        transform: rotate(3deg) scale(2.6)!important;
    }
}

@media (max-width:490px) {
    .zig-zag {
        margin-top: -200px;
    }
    main {
        height: fit-content;
    }
}

@media(min-width:1400px) {
    main .gallerycards div {
        width: clamp(600px, 10vw, 1500px);
        height: clamp(600px, 10vw, 1500px);
    }
    main .gallerycards {
        grid-template-columns: repeat(auto-fit, minmax(600px, 800px));
    }
    .square {
        transform: scale(1.6) translatex(-50%);
    }
}


/* end of gallery and its extension(zig-zag) */


/*strarting of Features section*/

aside {
    padding: 0px 10px;
}

aside .faetures .square {
    background-color: white;
}

aside .faetures .cardinf {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(340px, 390px));
    gap: 4%;
    margin-top: 0px;
    justify-content: center;
}

aside .faetures .cardinf div {
    position: relative;
    overflow: hidden;
    text-align: center;
    height: fit-content;
}

aside .faetures .cardinf>div {
    border: #d7d4cf 1px solid;
}

aside .faetures .cardinf .img {
    height: 400px;
    width: 450px;
    position: relative;
}

aside .faetures .cardinf .img::before {
    content: "";
    position: absolute;
    bottom: 0%;
    right: 0;
    border-style: solid;
    border-width: 0 0 200px 500px;
    border-color: transparent transparent white transparent;
    transition: .3s;
    z-index: 3000;
}

aside .faetures .cardinf div:hover .img::before {
    border-width: 200px 500px 200px 0px;
}

aside .faetures .cardinf .img::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: .6;
    z-index: 4;
}

aside .faetures .cardinf #A::after {
    background-color: #F44036;
}

aside .faetures .cardinf #B::after {
    background-color: #009688;
}

aside .faetures .cardinf #C::after {
    background-color: #2196F3;
}

aside .faetures .cardinf img:hover::before {
    border-width: 270px 500px 270px 0;
}

aside .faetures .cardinf h3 {
    font-size: xx-large;
    margin-top: 20px;
}

.lorem {
    font-size: large;
    margin-top: 20px;
    color: #73706a95;
    line-height: 40px;
}

aside .faetures .cardinf .More {
    font-size: large;
    color: #73706a95;
    line-height: 40px;
    border-style: solid;
    border-width: 3px;
    border-radius: 5px;
    width: 100px;
    margin: 80px calc(50% - 50px);
    position: relative;
}

aside .faetures .cardinf .More::before {
    height: 100%;
    width: 0%;
    top: 0px;
    left: 0px;
    transition-duration: .1s;
    content: "More";
    position: absolute;
    color: transparent;
    font-weight: bold;
}

aside .faetures .cardinf DIV:hover .More::before {
    width: 100%;
    color: white;
}

aside .faetures .cardinf :nth-child(1) .More {
    color: #F44036;
}

aside .faetures .cardinf :nth-child(1) .More::before {
    background-color: #F44036;
}

aside .faetures .cardinf :nth-child(2) .More {
    color: #009688;
}

aside .faetures .cardinf :nth-child(2) .More::before {
    background-color: #009688;
}

aside .faetures .cardinf :nth-child(3) .More {
    color: #03A9F4;
}

aside .faetures .cardinf :nth-child(3) .More::before {
    background-color: #2196F3;
}

aside .faetures .cardinf>div :nth-child(3)::before {
    content: "";
    position: absolute;
    width: 80px;
    height: 4px;
    left: 40%;
    bottom: 330px;
    z-index: 4000;
    background-color: #F44036;
    z-index: 6000;
}

aside .faetures .cardinf :nth-child(2) :nth-child(3):before {
    background-color: #009688;
}

aside .faetures .cardinf :nth-child(3) :nth-child(3):before {
    background-color: #2196F3;
}

@media (max-width:490px) {
    aside {
        height: fit-content;
    }
    aside .faetures .cardinf {
        transform: scale(.9);
    }
}


/* end of Features */

section {
    min-height: 1000px;
    background: #ECECEC;
    padding: 120px 0 0 0;
    margin: 100px 0 0 0;
}

section .cardsinsec {
    display: grid;
    gap: 30px;
    justify-content: center;
    grid-template-columns: repeat(auto-fit, minmax(300px, 400px));
    margin: 100px 0 400px;
}

section .cardsinsec>div {
    width: 400px;
    height: 170px;
    position: relative;
    background-color: white;
    border-radius: 5px;
    box-shadow: 1px 0px 7px 2px #ECECEC;
    padding: 15px;
}

section .cardsinsec>div::before {
    height: 90px;
    width: 90px;
    background-color: #ECECEC;
    top: -40px;
    right: 0px;
    content: "";
    position: absolute;
    border-radius: 50%;
}

section .cardsinsec div div .img2 img {
    height: 70px;
    width: 70px;
    border-radius: 50%;
    position: absolute;
    top: -30px;
    right: 10px;
}

section .cardsinsec div .stars {
    color: gold;
    font-size: small;
}

section .cardsinsec div .stars [ class="fa-regular fa-star"] {
    color: black;
}

section .cardsinsec div .img2+p,
section .cardsinsec .lorem {
    margin: 10px 0;
    color: #777777;
    font-size: small;
    line-height: 20px;
}

@media (max-width:991px) {
    section {
        padding: 150px 0 0 0;
        margin-top: 400px;
    }
    section .cardsinsec {
        margin: 0;
        gap: 0;
    }
    section .cardsinsec>div {
        transform: scale(.8);
    }
}

@media (max-width:490px) {
    section {
        margin-top: 00px;
        height: 1400px;
    }
    .services .grid,
    .gallerycards div {
        transform: scale(.84);
    }
}


/* end of tst */


/* start of team members */

.teammembers .grid div img {
    width: 250px;
    height: 250px;
    object-fit: cover;
    position: absolute;
    top: 12%;
    left: -8%;
    border-radius: 7px;
    transition-duration: .4s;
    z-index: 4;
}

.teammembers .grid>div:hover img {
    filter: grayscale(1);
}

.teammembers .grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, 300px);
    justify-content: center;
    gap: 50px;
    padding: 100px;
}

.teammembers .grid>div {
    height: 370px;
    position: relative;
    border-radius: 7px;
    background-color: #F3F3F3;
    padding-left: 10px;
    z-index: 1;
}

.pricingplans .grid>div::before,
.teammembers .grid>div::before {
    content: "";
    border-radius: 7px;
    position: absolute;
    right: 0;
    top: 0;
    width: 0%;
    transition-duration: .5s;
    height: 100%;
    border-radius: 7px;
    background-color: #dddcdc2f;
    z-index: -1;
}

.pricingplans .grid>div:hover::before,
.teammembers .grid>div:hover::before {
    width: 100%;
}

.teammembers .grid div div {
    position: absolute;
    bottom: 20px;
    z-index: 5;
}

.teammembers .grid div .icons {
    position: absolute;
    right: 30px;
    display: flex;
    flex-direction: column;
    gap: 30px;
    color: #7c7b79;
    bottom: 30%;
}

.teammembers .grid div .icons i {
    transition-duration: .2s;
}

.teammembers .grid div .icons i:hover {
    color: #2f52c5;
    cursor: pointer;
}

.teammembers .grid div #name {
    color: #03A9F4;
    font-size: larger;
    margin-bottom: 3px;
    font-weight: bold;
}


/* end of team members */


/* start of services */

.services {
    background-color: #EBEBEB;
    margin-bottom: 4vw;
}

.services .grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 400px));
    gap: 30px;
    justify-content: center;
    margin: 70px 0;
    counter-reset: h;
    margin-bottom: clamp(200px, 10vw, 500px);
}

.services .grid>div {
    width: 400px;
    height: 220px;
    text-align: center;
    background-color: white;
    padding: 20px;
    position: relative;
    box-shadow: 1px 0px 4px 1px rgba(29, 20, 2, 0.121);
    overflow: hidden;
    transition-duration: .3s;
    counter-increment: h;
    margin-bottom: 4vw;
}

.services .grid div i {
    color: #d2d1d1;
    font-size: 70px;
    margin: 15px;
}

.services .grid div i+div>p {
    color: #2196F3;
    font-size: larger;
    font-weight: bolder;
}

.services .zig-zag {
    transform: translatey(-100px);
    background-color: #ffffff;
}

.services .grid .counter {
    background-color: #F9F9F9;
    position: absolute;
    width: 100%;
    height: 43px;
    color: #2196F3;
    bottom: 0;
    left: 0;
    text-align: end;
    padding-right: 20px;
    padding-top: 10px;
    font-size: smaller;
    overflow-x: hidden;
}

.services .grid .counter::before,
.services .grid .counter::after {
    content: "";
    height: 100%;
    background-color: #D5D5D5;
    z-index: 2;
    position: absolute;
    left: -20px;
    top: 0;
    width: 40%;
    transition-duration: .5s;
    transform: skew(-30deg);
}

.services .grid .counter::after {
    background-color: #2196F3;
    width: 25%;
    content: "";
}

.services .grid div>div::before {
    content: "0"counter(h);
    height: 19%;
    background-color: #2196F3;
    z-index: 200;
    position: absolute;
    left: 0px;
    bottom: 0;
    width: 15%;
    transition-duration: .5s;
    color: white;
    font-size: x-large;
    font-weight: bolder;
}

.services .grid>div::before,
.services .grid>div::after {
    position: absolute;
    top: .001px;
    right: 50%;
    width: 0%;
    background-color: #2196F3;
    height: 3px;
    z-index: 3000;
    content: "";
    transition-duration: .5s;
}

.services .grid>div::after {
    left: 50%;
}

.services .grid>div:hover::before,
.services .grid>div:hover::after {
    width: 100%;
}

.services .grid>div:hover {
    transform: scale(1.02) translateY(-10px);
}

@media(max-width:991px) {
    .services .square {
        transform: translate(-50%, 100px);
    }
}


/* end of services */


/* start of ourskills */

.ourskills {
    height: fit-content;
    padding: 40px;
    margin-bottom: 300px;
}

.ourskills .grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    gap: 50px;
    justify-content: center;
}

.ourskills .grid .flex {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    font-weight: bold;
}

.ourskills .grid .flex>div {
    position: relative;
}

.ourskills .grid .flex>div div {
    height: 140%;
    background-color: #ebebeb;
    z-index: 2;
    position: absolute;
    left: 0px;
    top: 30px;
    width: 70%;
    transition-duration: .5s;
}

.ourskills .grid .flex>div div::before {
    height: 100%;
    background-color: #03A9F4;
    z-index: 2;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 80%;
    transition-duration: .5s;
    content: "";
}

.ourskills .grid .flex>div div::after {
    z-index: 2;
    position: absolute;
    right: 0px;
    top: -40px;
    content: "85%";
    padding: 7px;
    border: #bababa solid.4px;
    transform: scale(.6);
    color: #2196F3;
    border-radius: 8px;
}

.ourskills .grid .flex>:nth-child(2) div::before {
    width: 85%;
}

.ourskills .grid .flex>:nth-child(3) div::before {
    width: 70%;
}

.ourskills .grid .flex>:nth-child(4) div::before {
    width: 80%;
}

@media (max-width:992px) {
    .ourskills img {
        display: none;
    }
    .ourskills .grid {
        grid-template-columns: repeat(1, 1fr);
        justify-content: center;
        margin-top: -120px;
    }
    .ourskills {
        height: 700px;
    }
    .ourskills .grid .flex {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 50px;
    }
}


/*   ourskills ending */


/*  howitworks starting */

.howitworks {
    background-color: #ebebeb;
    display: flex;
    justify-content: center;
    margin-bottom: 40px;
}

.howitworks .grid {
    width: 70%;
    margin: 160PX 0;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px 1000px));
    gap: 140px;
}

.howitworks .grid,
.howitworks .square {
    transform: translateY(-50%, 200px);
}

.howitworks .flex img {
    width: 50px;
    position: absolute;
    top: 30%;
    z-index: 33;
}

.howitworks .flex {
    gap: 20px;
    display: flex;
    flex-direction: column;
}

.howitworks .grid>:nth-child(1) img {
    width: 300px;
}

.howitworks .flex .flex1 :nth-child(1) {
    position: relative;
}

.howitworks .flex .flex1 {
    display: grid;
    grid-template-columns: 10% 70%;
    gap: 30px;
    margin: auto;
    background-color: rgba(243, 243, 243, 0.935);
    border: 1.5px #ffffff solid;
    padding: 5px;
    transform: scale(1.08);
    border-radius: 5px;
    position: relative;
    overflow: hidden;
    min-width: 300px;
}

.howitworks .flex .flex1::before {
    position: absolute;
    top: 50%;
    right: 50%;
    width: 1%;
    background-color: #9d9d9d23;
    height: 1%;
    z-index: 20;
    content: "";
    transition-duration: 1s;
}

.howitworks .flex .flex1:hover::before {
    transform: scale(200);
}

.howitworks .flex .flex1 .lorem {
    line-height: 30px;
    font-size: medium;
    font-weight: normal;
    letter-spacing: -.4px;
    line-height: 24px;
    color: #73706A;
    transform: scale(.8);
    z-index: 33;
}

.howitworks .flex .flex1 h4 {
    text-align: center;
    z-index: 33;
}

@media(max-width:992px) {
    .ourskills .square {
        transform: translate(-50%, -70px);
    }
    main,
    section,
    .howitworks,
    .ourskills,
    aside {
        height: fit-content;
    }
}

@media (min-width:1000px) {
    .howitworks .flex1 {
        min-width: 43vw;
    }
}


/* ending of how it works */


/* starting of latest events */

.latestevents {
    margin-bottom: 100px;
    position: relative;
}


/*                 
                dots latestevents,or in pricing plans in the next sec */

.dots {
    background-image: radial-gradient(#2196F3 3px, transparent 2px);
    background-size: 20px 15px;
    width: 22vw;
    height: 22vw;
    position: absolute;
    z-index: 6;
}

#dot1,
#dot3 {
    right: 0;
    top: 13%;
}

#dot2,
#dot4 {
    left: 0;
    bottom: 13%;
}


/* end off dots and their positioning in both sections */

.latestevents .bigflex {
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 2;
    gap: 10vw;
}

.latestevents .bigflex .flex {
    display: flex;
    padding: 200px 20px 70px;
    gap: 4vw;
    width: 100%;
}

.latestevents .bigflex .flex img {
    width: clamp(340px, 20vw, 1000px);
    height: 100%;
}

.latestevents .bigflex .flex .grid2 {
    display: flex;
    flex-direction: column;
    padding: 20px;
    text-align: center;
    gap: 4vw;
    align-items: center;
}

.latestevents .bigflex .flex .grid2 .grid3 {
    display: flex;
    flex-direction: row;
    gap: 1vw;
    padding: 10px;
}

.latestevents .bigflex .flex .grid2 .grid3 .flex3 {
    display: flex;
    flex-direction: column;
    gap: 15px;
    text-align: center;
    border: #ccc8c0 solid 1px;
    border-radius: 5px;
    width: clamp(30px, 16vw, 70px);
    padding: 5px 0;
}

.latestevents .bigflex .flex .grid2 .grid3 .flex3 :last-child {
    font-size: x-small;
    border-top: #ccc8c0 1px solid;
    padding-top: 13%;
}

.latestevents .bigflex .flex .grid2 .grid3 .flex3 :nth-child(1),
.latestevents .bigflex .flex .grid2 .grid3 .flex3 :nth-child(2) {
    font-size: xx-large;
    color: #2196F3;
    font-weight: 700;
}

.latestevents .bigflex .flex.grid2 .text {
    min-width: 300px;
    max-width: 500px;
}

.latestevents .bigflex .flex .grid2 .text h3 {
    font-size: 2.5vw;
    margin: 20px 0;
}

.latestevents .bigflex .flex .grid2 .text h3+p {
    font-size: 1.7vw;
    line-height: 3vw;
    margin: 5px 0;
    color: #777777;
}

.latestevents .bigflex .email div input[type="email"] {
    width: 30vw;
    padding: 20px;
    border-radius: 40px;
    font-size: small;
    border: none;
    z-index: 6;
    display: flex;
    align-items: center;
    position: absolute;
    background-color: white;
    bottom: 2vw;
    margin-top: 60px;
    transform: translateX(14%);
    transition-duration: .31s;
}

.latestevents .bigflex .email input[type="email"]:hover {
    border: #03A9F4 1px solid;
    box-shadow: 0px 0px 1px 1px #03A9F4;
    cursor: pointer;
}

.latestevents .bigflex .email div div {
    border-radius: 40px;
    background-color: #2196F3;
    border: none;
    padding: 2vw 1.7vw;
    z-index: 8;
    font-size: 1.4vw;
    right: calc(20% - 6vw);
    position: absolute;
    top: calc(50% - 3vw);
    width: min-content;
}

.latestevents .bigflex .email input[type="submit"] {
    font-weight: 800;
    background-color: transparent;
    border: none;
    color: white;
}

.latestevents .bigflex .email {
    position: relative;
    padding: 0 30px;
}

.latestevents .bigflex .email>div {
    content: "";
    width: clamp(30vw, 49vw, 100vw);
    padding: 40px;
    border-radius: 40px;
    background-color: #e8e7e7;
    position: relative;
    bottom: 0;
    height: 10vw;
    z-index: 5;
}

@media(max-width:992px) {
    .latestevents .flex {
        flex-direction: column;
    }
    .email {
        transform: scale(.6);
    }
    .services .g,
    .latestevents img {
        transform: scale(.7);
    }
}


/* end of latest events */


/*starting of pricing plans*/

.pricingplans {
    background-color: #ECECEC;
    position: relative;
}

.pricingplans .grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 400px));
    gap: 10px;
    justify-content: center;
    margin: 400px 0% 150PX;
    padding: 200px 0px;
    background-color: transparent;
}

.pricingplans .grid>div {
    background-color: white;
    padding: 60px 20px;
    width: stretch;
    text-align: center;
    min-height: 650px;
    z-index: 2;
    box-shadow: 1px 0px 4px 1px rgba(29, 20, 2, 0.121);
    position: relative;
}

.pricingplans .grid>div i {
    color: #2196F3;
}

.pricingplans .grid #theafter::before {
    content: "";
    position: absolute;
    top: 0;
    right: 5%;
    background-color: #2196F3;
    height: 150px;
    width: 30px;
    z-index: 340;
    border-radius: 0;
}

#theafter .ext {
    width: 0px;
    height: 2px;
    border-color: transparent transparent rgb(255, 255, 255) transparent;
    border-style: solid;
    border-width: 14px;
    z-index: 2000000;
    position: absolute;
    right: 5%;
    top: 19.4%;
}

.pricingplans .grid #theafter::after {
    content: "Most Popular";
    position: absolute;
    top: 10%;
    right: -4%;
    transform: rotate(90deg);
    color: white;
    z-index: 40000;
    font-weight: 600;
}

.pricingplans .grid>div>i {
    font-size: clamp(50px, 9vw, 100px);
}

.pricingplans .grid div .price {
    font-size: 54px;
    color: #2196F3;
    font-weight: 600;
    margin: 50px;
    position: relative;
}

.pricingplans .grid div .price::before {
    content: "Per Month";
    position: absolute;
    bottom: -25%;
    left: 40%;
    color: #727171;
    font-size: small;
    font-weight: lighter;
}

.pricingplans .grid div .gridsec {
    display: grid;
    grid-template-columns: 1fr;
    text-align: left;
    gap: 20%;
    font-size: small;
    z-index: 7;
}

.pricingplans .grid div .gridsec div {
    border-top: 1px solid #e4e4e4;
    padding-top: 10px;
    z-index: 30;
    z-index: 7;
}

.pricingplans .grid div .gridsec div i {
    margin-right: 5px;
    font-weight: 800;
}

.pricingplans .grid .chooseplan {
    position: absolute;
    bottom: 3%;
    left: 35%;
    font-size: small;
    color: #2196F3;
    border: 2px solid #2196F3;
    padding: 10px 5px;
    font-weight: 600;
    border-radius: 6px;
    transition-duration: .4s;
}

.pricingplans .grid .chooseplan:hover {
    background-color: #2196F3;
    color: white;
    cursor: pointer;
}

.pricingplans .dots {
    z-index: 0;
}

@media(max-width:991px) {
    .pricingplans .grid>div,
    .gridsec {
        transform: scale(.76);
    }
    .pricingplans .grid {
        gap: 10px;
        margin: 10px 0% 150PX;
        padding: 100px 0px;
    }
}


/* end of pricing plans  */


/* starting of top videos */

.topvideos {
    position: relative;
    display: flex;
    justify-self: center;
    margin-bottom: 20px;
}

.topvideos .maingrid {
    background-color: #e4e4e4;
    display: grid;
    grid-template-columns: 30% 70%;
    width: 80%;
    margin-left: 10%;
}

.topvideos .maingrid .box1 {
    padding: 6px 10px 16px 2px;
}

.topvideos .maingrid .box1 .title {
    padding-left: 10%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 5%;
}

.topvideos .maingrid .box1 .cards {
    padding-left: .1%;
}

.topvideos .maingrid .box1 .cards .card {
    padding: 6% 8%;
    background-color: white;
    margin: .5% 0%;
}

.topvideos .maingrid .box1 .cards .card .duration {
    margin: 2.5% 0;
    color: #959494;
}

.topvideos .maingrid .box1 .title h3 {
    font-weight: 900;
    font-size: medium;
}

.topvideos .maingrid .box2 {
    padding: 2%;
    position: relative;
}

.topvideos .maingrid .box2 .text {
    background-color: white;
    color: #535252;
    position: absolute;
    bottom: 3%;
    padding: 2%;
    width: 95%;
}

@media ( max-width: 991px) {
    .topvideos .maingrid {
        background-color: #e4e4e4;
        display: grid;
        grid-template-columns: 1fr;
        gap: 1%;
        padding-bottom: 40px;
    }
    .topvideos {
        height: 1500px;
    }
    .topvideos .maingrid .box2 .text {
        transform: translateY(30px);
    }
}

@media ( max-width: 500px) {
    .topvideos {
        height: 1000px;
    }
}


/* Start Stats */

.stats {
    padding-top: 30px;
    padding-bottom: 200px;
    position: relative;
    background-image: url("../image/OIP.Zpi7XDxIJAOshVnImv9piwHaEK");
    background-size: cover;
    min-height: 300px;
    height: fit-content;
    text-align: center;
    z-index: 5;
}

.stats::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(255 255 255 / 95%);
    z-index: -1;
}

.stats h2 {
    font-weight: bold;
    font-size: 40px;
    width: fit-content;
    margin: 0 auto 50px;
    position: relative;
}

.stats .cont {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 20px;
    padding: 10%;
    margin-top: 70px;
}

.stats .box {
    background-color: white;
    padding: 20px 15px;
    text-align: center;
    position: relative;
    opacity: 0.8;
    transition: 1s;
}

.stats .box::before,
.stats .box::after {
    content: "";
    position: absolute;
    width: 2px;
    background-color: #2196F3;
    transition: 1s;
    height: 0;
}

.stats .box::before {
    top: 0;
    right: 0;
}

.stats .box::after {
    left: 0;
    bottom: 0;
}

.stats .box:hover {
    opacity: 1;
}

.stats .box:hover::before,
.stats .box:hover::after {
    height: 100%;
}

.stats .box .number {
    display: block;
    font-size: 50px;
    font-weight: bold;
    margin-top: 10px;
    margin-bottom: 10px;
}

.stats .box .text {
    color: #2196F3;
    font-style: italic;
    font-size: 20px;
    font-weight: bold;
}


/* strart of discount */

.flextotal {
    display: flex;
    min-height: 100vh;
}

.wehav,
.boxreq {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px 13%;
}

.wehav {
    background: linear-gradient(rgb(23 135 224 / 95%), rgb(23 135 224 / 95%)), url("../image/discount-background1.jpg");
    background-size: cover;
    background-position: center;
    color: white;
    text-align: center;
    display: flex;
    flex-direction: column;
}

.wehav h3 {
    font-size: 20px;
    margin-bottom: 35px;
}

.wehav p {
    max-width: 500px;
    line-height: 1;
    margin: 0 auto 30px;
}

.wehav img {
    width: min(300px, 100%);
}

.flexreq {
    width: 100%;
    max-width: 350px;
    text-align: center;
}

.flexreq h3 {
    font-size: 38px;
    margin-bottom: 30px;
}

.form form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.form input,
.form textarea {
    border: none;
    border-bottom: 1px solid #ccc;
    background: #f7f7f7;
    padding: 15px;
    outline: none;
    font-size: 15px;
}

.form textarea {
    resize: none;
    height: 180px;
}

.form input:hover {
    caret-color: #2196f3;
    cursor: pointer;
}

.form input[type="submit"] {
    border: none;
    background: #2196f3;
    color: white;
    font-weight: bold;
    cursor: pointer;
    transition: .3s;
}

.form input[type="submit"]:hover {
    background: #1787e0;
}

@media (max-width:991px) {
    .flextotal {
        flex-direction: column;
    }
    .wehav,
    .boxreq {
        min-height: 100vh;
        padding: 30px 20px;
    }
    .wehav h3,
    .flexreq h3 {
        font-size: 32px;
    }
    .wehav p {
        max-width: 100%;
    }
    .flexreq {
        max-width: 100%;
    }
}


/* end of disc */


/* start of footer */

footer {
    display: flex;
    justify-content: center;
    position: relative;
    height: fit-content;
    background-color: #191919;
}

footer .grid6 {
    display: grid;
    grid-template-columns: repeat(auto-fit, 25%);
    width: 70%;
    margin: 100PX auto;
    color: #838080;
    background-color: #191919;
    gap: 20px;
}

footer .grid6 .BOx .lorem {
    line-height: 10px;
    font-size: xx-small;
}

footer .grid6 .BOx h2 {
    color: white;
    font-size: larger;
    margin-bottom: 14px;
}

footer .grid6 .BOx div>div {
    margin: 8px 0;
    border-bottom: #646363 1px solid;
    padding-bottom: 3px;
    font-size: xx-small;
    color: #a1a09f;
}

footer .grid6 .col3 div {
    margin: 10px;
    font-size: x-small;
}

footer .grid6 div i {
    margin-right: 7px;
    color: #1787e0;
}

footer .grid6 .BOx a {
    color: #a19f9f;
}

footer .grid6 .gallerycards div {
    transform: scale(1.1);
    border-width: 3.0PX;
}

footer .grid6 .gallerycards {
    gap: 10PX;
    display: grid;
    grid-template-columns: repeat(3, 1FR);
    padding: 0 auto;
    justify-content: center;
}

footer .grid6 .icons div {
    background-color: #313131;
    display: inline-block;
    padding: 5px 1px 5px 5px;
    transition-duration: .4s;
}

footer .grid6 .icons div:last-child:hover {
    background-color: red;
}

footer .grid6 .icons div:hover {
    background-color: #2196F3;
}

footer .grid6 .icons div i {
    color: #959494;
}

footer .flexx {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

footer .flexx .copyright {
    background-color: #191919;
    color: white;
    text-align: center;
    padding: 25px 0;
    border-top: 1px solid #444;
    font-size: 16px;
}

footer .flexx .copyright span {
    color: #2196f3;
    font-weight: bold;
}


/* end of footer */